## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-logdetective
Version:        0.3.2
Release:        %autorelease
Summary:        Uses LLM AI to search for build/test failure and provide ideas how to fix it

License:        Apache-2.0
URL:            https://pypi.org/project/logdetective/
Source:         %{pypi_source logdetective}

BuildArch:      noarch
BuildRequires:  python3-devel

# this is what llama-cpp is on
ExclusiveArch:  x86_64 aarch64

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
A Python tool to analyze logs using a Language Model (LLM) and Drain template
miner.
}

%description %_description

%package -n     python3-logdetective
Summary:        %{summary}
Provides:       logdetective

%description -n python3-logdetective %_description

%pyproject_extras_subpkg -n python3-logdetective server
%pycached %{python3_sitelib}/logdetective/server/*.py

%prep
%autosetup -p1 -n logdetective-%{version}


%generate_buildrequires
%pyproject_buildrequires -x server


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files 'logdetective'


%check
#server is broken for now
%pyproject_check_import -e logdetective.server


%files -n python3-logdetective -f %{pyproject_files}
%{_bindir}/logdetective
%license LICENSE
%doc README.md
%pycached %exclude %{python3_sitelib}/logdetective/server/*.py


%changelog
## START: Generated by rpmautospec
* Thu Mar 27 2025 Packit <hello@packit.dev> - 0.3.2-1
- Update to 0.3.2 upstream release
- Resolves: rhbz#2351861

* Thu Mar 27 2025 Jakub Kadlcik <frostyx@email.cz> - 0.3.1-2
- There is no server.py anymore, it is a directory now

* Wed Mar 26 2025 Packit <hello@packit.dev> - 0.3.1-1
- Update to 0.3.1 upstream release
- Resolves: rhbz#2351861

* Wed Mar 12 2025 Packit <hello@packit.dev> - 0.2.11-1
- Update to 0.2.11 upstream release
- Resolves: rhbz#2351708

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jan 13 2025 Packit <hello@packit.dev> - 0.2.10-1
- Update to 0.2.10 upstream release
- Resolves: rhbz#2331689

* Fri Nov 08 2024 Packit <hello@packit.dev> - 0.2.8-1
- Update to 0.2.8 upstream release
- Resolves: rhbz#2316922

* Mon Oct 07 2024 Packit <hello@packit.dev> - 0.2.7-1
- Update to 0.2.7 upstream release
- Resolves: rhbz#2316922

* Wed Sep 04 2024 Packit <hello@packit.dev> - 0.2.6-1
- Update to 0.2.6 upstream release
- Resolves: rhbz#2309698

* Wed Aug 07 2024 Packit <hello@packit.dev> - 0.2.5-1
- Update to 0.2.5 upstream release
- Resolves: rhbz#2303485

* Thu Jul 18 2024 Packit <hello@packit.dev> - 0.2.3-1
- Update to 0.2.3 upstream release
- Resolves: rhbz#2298688

* Fri Jun 28 2024 Packit <hello@packit.dev> - 0.2.2-1
- Update to 0.2.2 upstream release
- Resolves: rhbz#2294702

* Sat Jun 22 2024 Miro Hrončok <miro@hroncok.cz> - 0.2.1-4
- Move logdetective/server.py pyc files to the server subpackage

* Fri Jun 21 2024 Miroslav Suchý <msuchy@redhat.com> - 0.2.1-3
- add exclusive arch - copy what llama-cpp

* Fri Jun 21 2024 Miroslav Suchý <msuchy@redhat.com> - 0.2.1-2
- move server extra to separate subpackage

* Fri Jun 21 2024 Miroslav Suchý <msuchy@redhat.com> - 0.2.1-1
- new upstream release

* Fri Jun 21 2024 Miroslav Suchý <msuchy@redhat.com> - 0.2.0-2
- add packit automation

* Wed May 22 2024 Miroslav Suchý <msuchy@redhat.com> - 0.2.0-1
- initial packaging
## END: Generated by rpmautospec
